package com.palmnest.application.dto.output;

import java.io.Serializable;

/**
 * @Author HXT
 * @Description 设备权限组输出类
 * @Date 2018/12/11 10:31
 **/
public class DevicePermGroupOutDto implements Serializable{
    private static final long serialVersionUID = -4548087224950285562L;

    private Long id;
    private Integer groupType;//'权限组类型 1 员工；2 访客'
    private String groupName;//'权限组名'
    private String remark;//'备注'
    private String createTime;//'添加时间'
    private String modifyTime;//'修改时间'
    private String deviceNames;// 权限组下的设备列表
    private Integer orgId;// 项目id
    
    private Integer isUseLimit;//是否开启可用时段限制
    private Integer isWeek;//是否勾选周末
    private Integer isWorkday;//是否勾选工作日
    private Integer isHoliday;//是否勾选节假日
    
    private String beginTime;
    private String endTime;

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getGroupType() {
        return groupType;
    }

    public void setGroupType(Integer groupType) {
        this.groupType = groupType;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDeviceNames() {
        return deviceNames;
    }

    public void setDeviceNames(String deviceNames) {
        this.deviceNames = deviceNames;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

	public Integer getIsUseLimit() {
		return isUseLimit;
	}

	public void setIsUseLimit(Integer isUseLimit) {
		this.isUseLimit = isUseLimit;
	}

	public Integer getIsWeek() {
		return isWeek;
	}

	public void setIsWeek(Integer isWeek) {
		this.isWeek = isWeek;
	}

	public Integer getIsWorkday() {
		return isWorkday;
	}

	public void setIsWorkday(Integer isWorkday) {
		this.isWorkday = isWorkday;
	}

	public Integer getIsHoliday() {
		return isHoliday;
	}

	public void setIsHoliday(Integer isHoliday) {
		this.isHoliday = isHoliday;
	}

	public String getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(String beginTime) {
		this.beginTime = beginTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
    
    
}
